Package com.microsoft.sqlserver.jdbc

## Class KerbCallback

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.KerbCallback

All Implemented Interfaces:
  `CallbackHandler`

    public class KerbCallback
    extends Object
    implements CallbackHandler

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getUsernameRequested()` If a name was retrieved By Kerberos, return it.
`void` `handle​(Callback[] callbacks)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getUsernameRequested

    public String getUsernameRequested()

If a name was retrieved By Kerberos, return it.

Returns:
  null if callback was not called or username was not provided

#### handle

    public void handle​(Callback[] callbacks)
                throws IOException,
                       UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `IOException`
  `UnsupportedCallbackException`